Bug 267729 - Crop playlist functionality missing, aka "Set as playlist"
Summary: Crop playlist functionality missing, aka "Set as playlist"
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: 2.4.0
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-05 17:27 UTC by Benjamin Peter
Modified: 2012-03-03 15:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Peter 2011-03-05 17:27:39 UTC
Version:           2.4.0 (using KDE 4.4.5) 
OS:                Linux

In amarok 1 there was the functionality "Crop playlist" also known as "Set as playlist".

This is missing in amarok 2.4 and I used it regularly.

One possible way as workaround is to select all tracks, unselect the ones you like to keep and remove the selected ones.

I guess it is up for discussion if the feature is re-added? Was there any info about the feature being removed?

Anyway, thanks a lot! :)


Reproducible: Always

Steps to Reproduce:
Selects some tracks in the playlist and open the context menu or the menu in the middle of amarok (dragging them there).

Actual Results:  
No crop option.

Expected Results:  
A crop or "set as playlist" option.

OS: Linux (x86_64) release 2.6.32-5-amd64
Compiler: cc
Comment 1 Matěj Laitl 2012-03-03 15:25:30 UTC
Git commit 3a9b36fe04dafe8c95d5bbdcbb84945e7cf469e6 by Matěj Laitl.
Committed on 03/03/2012 at 15:55.
Pushed by laitl into branch 'master'.

Playlist browser: drag & drop and plugged playlists cleanups

This change fixes a couple of bugs:
 * it is now possible to drop tracks & playlists to playlist providers
   in Saved Playlists
 * When a new empty playlist provider appears or disappears when Amarok is
   running, the view is correctly updated.

FEATURES:
  * "Crop playlist" functionality implemented using drag & drop.

CHANGES:
  * Drag & drop of tracks and playlists to Saved Playlists works in all cases.

BUGFIXES:
  * iPod playlists now appear even when plugged in while Amarok is running.
Related: bug 211811, bug 289303, bug 239950
FIXED-IN: 2.6

M  +3    -0    ChangeLog
M  +19   -16   src/browsers/playlistbrowser/PlaylistBrowserModel.cpp
M  +1    -0    src/browsers/playlistbrowser/PlaylistBrowserModel.h
M  +98   -130  src/browsers/playlistbrowser/PlaylistsByProviderProxy.cpp
M  +2    -11   src/browsers/playlistbrowser/PlaylistsByProviderProxy.h
M  +1    -0    src/core-impl/playlists/providers/user/UserPlaylistProvider.h
M  +2    -0    src/core/playlists/PlaylistProvider.h
M  +12   -4    src/playlistmanager/PlaylistManager.cpp
M  +2    -1    src/playlistmanager/PlaylistManager.h

http://commits.kde.org/amarok/3a9b36fe04dafe8c95d5bbdcbb84945e7cf469e6